# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-08-28 05:27
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('catalogue', '0015_product_is_active'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('offer', '0005_auto_20170828_0827'),
    ]

    operations = [
        migrations.CreateModel(
            name='SommelierTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('attached_date', models.DateTimeField(blank=True, null=True, verbose_name='выбран исполнитель')),
                ('created_date', models.DateTimeField(auto_now_add=True, verbose_name='дата создания')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='catalogue.Category', verbose_name='категория')),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sommelier_request', to=settings.AUTH_USER_MODEL, verbose_name='клиент')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='catalogue.Product', verbose_name='продукт')),
                ('range', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='offer.Range', verbose_name='ассортимент')),
                ('sommelier', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sommelier_tasks', to=settings.AUTH_USER_MODEL, verbose_name='сомелье')),
            ],
            options={
                'verbose_name': 'задача для сомелье',
                'verbose_name_plural': 'задачи для сомелье',
            },
        ),
    ]
